## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate aes

Name:           rust-aes0.7
Version:        0.7.5
Release:        %autorelease
Summary:        Pure Rust implementation of the Advanced Encryption Standard

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/aes
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pure Rust implementation of the Advanced Encryption Standard (a.k.a.
Rijndael) including support for AES in counter mode (a.k.a. AES-CTR).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+armv8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+armv8-devel %{_description}

This package contains library source intended for building other packages which
use the "armv8" feature of the "%{crate}" crate.

%files       -n %{name}+armv8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compact-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compact-devel %{_description}

This package contains library source intended for building other packages which
use the "compact" feature of the "%{crate}" crate.

%files       -n %{name}+compact-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ctr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ctr-devel %{_description}

This package contains library source intended for building other packages which
use the "ctr" feature of the "%{crate}" crate.

%files       -n %{name}+ctr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+force-soft-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-soft-devel %{_description}

This package contains library source intended for building other packages which
use the "force-soft" feature of the "%{crate}" crate.

%files       -n %{name}+force-soft-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hazmat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hazmat-devel %{_description}

This package contains library source intended for building other packages which
use the "hazmat" feature of the "%{crate}" crate.

%files       -n %{name}+hazmat-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.5-4
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.5-1
- Initial import (aes 0.7 compat package)
## END: Generated by rpmautospec
